"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextHighlight = void 0;
const react_1 = __importDefault(require("react"));
require("../style/TextHighlight.css");
/**
 * A component for displaying a highlighted text area.
 *
 * @category Component
 */
const TextHighlight = ({ highlight, onClick, onMouseOver, onMouseOut, isScrolledTo, onContextMenu, style, }) => {
    const highlightClass = isScrolledTo ? "TextHighlight--scrolledTo" : "";
    const { rects } = highlight.position;
    return (react_1.default.createElement("div", { className: `TextHighlight ${highlightClass}`, onContextMenu: onContextMenu },
        react_1.default.createElement("div", { className: "TextHighlight__parts" }, rects.map((rect, index) => (react_1.default.createElement("div", { id: highlight.id, onMouseOver: onMouseOver, onMouseOut: onMouseOut, onClick: onClick, key: index, style: { ...rect, ...style }, className: `TextHighlight__part` }))))));
};
exports.TextHighlight = TextHighlight;
//# sourceMappingURL=TextHighlight.js.map