"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useHighlightContainerContext = exports.HighlightContext = void 0;
const react_1 = require("react");
exports.HighlightContext = (0, react_1.createContext)(undefined);
/**
 * Custom hook for providing {@link HighlightContainerUtils}. Must be used
 * within a child of {@link PdfHighlighter}.
 *
 * @category Context
 */
const useHighlightContainerContext = () => {
    const highlightContainerUtils = (0, react_1.useContext)(exports.HighlightContext);
    if (highlightContainerUtils === undefined) {
        throw new Error("useHighlightContainerContext must be used within a child of PdfHighlighter!");
    }
    return highlightContainerUtils;
};
exports.useHighlightContainerContext = useHighlightContainerContext;
//# sourceMappingURL=HighlightContext.js.map