"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePdfHighlighterContext = exports.PdfHighlighterContext = void 0;
const react_1 = require("react");
exports.PdfHighlighterContext = (0, react_1.createContext)(undefined);
/**
 * Custom hook for providing {@link PdfHighlighterUtils}. Must be used
 * within a child of {@link PdfHighlighter}.
 *
 * @category Context
 */
const usePdfHighlighterContext = () => {
    const pdfHighlighterUtils = (0, react_1.useContext)(exports.PdfHighlighterContext);
    if (pdfHighlighterUtils === undefined) {
        throw new Error("usePdfHighlighterContext must be used within PdfHighlighter!");
    }
    return pdfHighlighterUtils;
};
exports.usePdfHighlighterContext = usePdfHighlighterContext;
//# sourceMappingURL=PdfHighlighterContext.js.map